
GammaLib - Feature #40

Replace GIntegrand by GFunction

02/20/2012 05:49 PM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2012

Priority: Low Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-07-00   

Description

The GIntegrand method has been implemented to support numerical integration of functions. But this is only a special case, as

functions can also be used for derivatives. For this purpose, GFunction has been implemented, and GIntegrand has become

obsolete. GIntegrand should thus be deleted, and the code should be changed to that GFunction is used in all places where

GIntegrand is used actually.

History

#1 - 02/20/2012 06:08 PM - Knödlseder Jürgen

- Priority changed from Normal to Low

#2 - 12/18/2012 09:16 AM - Knödlseder Jürgen

- Target version set to 00-07-00

#3 - 12/18/2012 02:15 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

The GIntegrand class has been removed and all GammaLib code was adapted to use GFunction instead.

#4 - 12/18/2012 03:12 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

The changes were integrated in the devel branch.
